Modulle build failed, but 3.11.8 kernel installed

Questions about other topics - please check if your question fits better in another category before posting here
Forum rules
Before you post please read this

Modulle build failed, but 3.11.8 kernel installed

Postby capnjackd on Sun Nov 17, 2013 8:17 pm

Running currently a brand new stock 64 bit Mint 15 on an Asus N56VJ-DH71, i7, 6GB RAM. According to a closed bug report in kernel.org's bugzilla, a >= 3.11.5 kernel some fixes are in for function keys on several Asus , et al, laptops.

So, I got the headers and image from Ubuntu's kernel ppa for saucy. when running dpkg on them I got this:

run-parts: executing /etc/kernel/header_postinst.d/dkms 3.11.8-031108-generic /boot/vmlinuz-3.11.8-031108-generic
Error! Bad return status for module build on kernel: 3.11.8-031108-generic (x86_64)
Consult /var/lib/dkms/virtualbox-guest/4.2.10/build/make.log for more information.

Checking that file shows:
CC [M] /var/lib/dkms/virtualbox-guest/4.2.10/build/vboxsf/dirops.o
/var/lib/dkms/virtualbox-guest/4.2.10/build/vboxsf/dirops.c:292:5: error: unknown field ‘readdir’ specified in initializer
/var/lib/dkms/virtualbox-guest/4.2.10/build/vboxsf/dirops.c:292:5: warning: initialization from incompatible pointer type [enabled by default]
/var/lib/dkms/virtualbox-guest/4.2.10/build/vboxsf/dirops.c:292:5: warning: (near initialization for ‘sf_dir_fops.flush’) [enabled by default]
make[2]: *** [/var/lib/dkms/virtualbox-guest/4.2.10/build/vboxsf/dirops.o] Error 1
make[1]: *** [/var/lib/dkms/virtualbox-guest/4.2.10/build/vboxsf] Error 2
make: *** [_module_/var/lib/dkms/virtualbox-guest/4.2.10/build] Error 2
make: Leaving directory `/usr/src/linux-headers-3.11.8-031108-generic'

So, I'm naturally, a little worried about the state of the modules for this. I haven't seen any posts in here about building other kernels, or issues with such. THought, I'd post this see if anyone has ideas. I'm going to go down the rabbit hole and try rebooting into the new kernel and see what misery lies in wait there.
capnjackd
Level 1
Level 1
 
Posts: 10
Joined: Mon May 06, 2013 9:30 am

Linux Mint is funded by ads and donations.
 

Re: Modulle build failed, but 3.11.8 kernel installed

Postby computerbob on Thu Jan 02, 2014 12:59 pm

For Mint15 and Mint16, my experience is that 3.11.6 works best. The 3.12s are terrible.
computerbob
Level 4
Level 4
 
Posts: 284
Joined: Wed Jan 01, 2014 1:55 pm

Re: Modulle build failed, but 3.11.8 kernel installed

Postby Previous1 on Sat Jan 11, 2014 4:05 am

It's of little consequence, the vbox additions aren't compatible with newer kernels - and you don't need them when you don't run Linux in Virtualbox.
User avatar
Previous1
Level 4
Level 4
 
Posts: 276
Joined: Sun Dec 01, 2013 11:48 am


Return to Other topics

Who is online

Users browsing this forum: No registered users and 4 guests